org.eclnt.jsfserver.util

## Class AutoCompleteServlet

- java.lang.Object
- - HttpServlet
  - - org.eclnt.jsfserver.util.CCServletBase
    - - org.eclnt.jsfserver.util.CCServletBaseWithContextMgmt
      - - org.eclnt.jsfserver.util.AutoCompleteServlet

- All Implemented Interfaces:
    ICCServerConstants

      public class AutoCompleteServlet
      extends CCServletBaseWithContextMgmt

- - ### Field Summary

    - ### Fields inherited from interface org.eclnt.jsfserver.util.ICCServerConstants

      `CLIENTJAVATYPE_FX, CLIENTJAVATYPE_SWING, CLIENTTYPE_APPLET, CLIENTTYPE_APPLICATION, CLIENTTYPE_BROWSER, CLIENTTYPE_RISC, CLIENTTYPE_UI5, CLIENTTYPE_WEBSTART, FOCUSSEQUENCE_FIX_PREFIX, QP_SUBPAGEID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoCompleteServlet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processRequest(HttpServletRequest req, HttpServletResponse resp)`

    - ### Methods inherited from class org.eclnt.jsfserver.util.CCServletBaseWithContextMgmt

      `doGet, doPost, init`

    - ### Methods inherited from class org.eclnt.jsfserver.util.CCServletBase

      `checkIfToInitializeCCEnvironment, proposeContentType, setContentType, setContentTypeInResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoCompleteServlet

          public AutoCompleteServlet()

  - ### Method Detail

    - #### processRequest

          public void processRequest(HttpServletRequest req,
                                     HttpServletResponse resp)
                              throws ServletException,
                                     java.io.IOException

      Specified by:
        `processRequest` in class `CCServletBaseWithContextMgmt`
      Throws:
        `ServletException`
        `java.io.IOException`

Copyright © CaptainCasa Gmbh. All Rights Reserved.